%define upstream_name	 HTML-Clean
%define upstream_version 0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	HTML shrinker
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
The HTML::Clean module encapsulates a number of HTML optimizations
and cleanups.  The end result is HTML that loads faster, displays
properly in more browsers.  Think of it as a compiler that
translates HTML input into optimized machine readable code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README TODO
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/HTML
%{perl_vendorlib}/auto

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.800.0-7.mga6
+ Revision: 1028211
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.800.0-6.mga6
+ Revision: 942796
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.800.0-5.mga5
+ Revision: 746597
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.800.0-4.mga5
+ Revision: 684927
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.800.0-3.mga4
+ Revision: 511968
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.800.0-2.mga3
+ Revision: 367974
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.800.0-1.mga1
+ Revision: 26325
- mageia rebuild
- imported package perl-HTML-Clean


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.800.0-1mdv2010.1
+ Revision: 504942
- rebuild using %%perl_convert_version

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.8-11mdv2010.0
+ Revision: 426497
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.8-10mdv2009.0
+ Revision: 223785
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-9mdv2008.1
+ Revision: 180405
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 0.8-8mdv2008.0
+ Revision: 18068
- rebuild


* Wed Feb 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.8-7mdk
- rebuild, cleanup

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8-6mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-5mdk
- rebuild for new auto{prov,req}

